import 'dart:typed_data';

import 'file_saver_stub.dart' if (dart.library.html) 'file_saver_web.dart';

/// 바이트 데이터를 로컬 파일로 저장한다.
Future<void> saveFileBytes({
  required Uint8List bytes,
  required String filename,
  required String mimeType,
}) async {
  assert(filename.isNotEmpty, 'filename은 비어 있을 수 없습니다.');
  assert(bytes.isNotEmpty, 'bytes는 비어 있을 수 없습니다.');

  await saveFileBytesImpl(bytes: bytes, filename: filename, mimeType: mimeType);
}
